Issue1186

classification
Title: SecurityException when writing to cache
Type: security Severity: normal
Components: Core Versions: 2.2.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ecapachedev, pjenvey
Priority: normal Keywords:

Created on 2008-11-26.23:19:42 by ecapachedev, last changed 2009-05-29.01:25:04 by pjenvey.

Files
File name Uploaded Description Edit Remove
imp.java ecapachedev, 2008-11-26.23:19:42 Modified imp.java file (from 2.2.1)
Messages
msg3856 (view) Author: (ecapachedev) Date: 2008-11-26.23:19:41
When using Jython in a container with security enabled, a
SecurityException can occur when the cache directory (for the compiled
source) is not writable.  When this is the case, the SecurityException
should just be caught and ignored much like if an IOException occurred,
which is caught and ignored.

The offending method is org.python.core.imp.cacheCompiledSource(String,
String, byte[]).
msg4749 (view) Author: Philip Jenvey (pjenvey) Date: 2009-05-29.01:25:04
r6252 applied this same fix and more
History
Date User Action Args
2009-05-29 01:25:04pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg4749
nosy: + pjenvey
2009-03-14 02:35:15fwierzbickisetpriority: normal
2008-11-26 23:19:42ecapachedevcreate